function model = linearExpandParam(model, params);

% LINEAREXPANDPARAM Update linear model with vector of parameters.
%
% model = linearExpandParam(model, params);
%

% Copyright (c) 2006 Neil D. Lawrence
% linearExpandParam.m version 1.2




startVal = 1;
endVal = model.inputDim*model.outputDim;
model.W = reshape(params(1:endVal), model.inputDim, model.outputDim);
model.b = params(endVal+1:end);